<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = 'debmain';
$trandb = 'debtran';
$formname = "Debit Note (Others) Register";
$file = "debntreg_fr.php";

$keycond = " and `credtype` = 'G'";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$party = $_POST["party"];
$dtype = $_POST["dtype"];
$scope = $_POST["scope"];


$dtypecond = "";
$mscopecond = "";
$gstcond = "";
$itemcond = "";

$mfrmdate = trim($_POST["fdate"]);
$mtodate = trim($_POST["tdate"]);

if (!empty($party)) {
    $partycond = " AND a.`party`='$party' ";
}

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`='$dtype' ";
}

if (!empty($scope)) {
    $mscopecond = " AND `type`='$scope' ";
}

if (empty($_POST["fdate"])) {
    browse("From Date Cannot Be Empty");
    header("refresh:1; purreggst.php");
}

if (empty($_POST["tdate"])) {
    browse("To Date Cannot Be Empty");
    header("refresh:1; purreggst.php");
}



$getpmain = mysqli_query($conn, "SELECT a.*, b.item, b.unit, b.mrp, b.vouchno,
                           DATE_FORMAT(a.`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` a, `$trandb` b  WHERE a.vouchno = b.vouchno and 
                           a.`vouchdt` >= '$mfrmdate' AND a.`vouchdt` <= '$mtodate'  $partycond $mscopecond $itemcond $gstcond group by a.vouchno") or die(mysqli_error($conn));
$get = mysqli_num_rows($getpmain);

if (isset($_POST["view"])) {
    include("includes/linkshead.php");
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }
    </style>
    <!--<script src="MyScript/item.js" type="text/javascript"></script>-->
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-condensed table-hover table-bordered">
                        <thead class="mySearchTr">
                            <tr>
                                <th style="width:5%">Sr</th>
                                <th style="width:5%">Inv.No</th>
                                <th style="width:10%">Date</th>
                                <th style="width:10%">Supplier</th>
                                <th style="width:5%" class="text-right">Subtot</th>
                                <th style="width:5%" class="text-right">Item Disc</th>
                                <th style="width:4%" class="text-right">Cash Disc%</th>
                                <th style="width:5%" class="text-right">Cash Disc Amt</th>
                                <th style="width:5%" class="text-right">Less Disc</th>
                                <th style="width:5%" class="text-right">Add Pack</th>
                                <th style="width:5%" class="text-right">Taxable Value</th>
                                <th style="width:4%" class="text-right">CGST %</th>
                                <th style="width:5%" class="text-right">CGST Amt</th>
                                <th style="width:4%" class="text-right">SGST %</th>
                                <th style="width:5%" class="text-right">SGST Amt</th>
                                <th style="width:4%" class="text-right">IGST %</th>
                                <th style="width:5%" class="text-right">IGST Amt</th>
                                <th style="width:9%" class="text-right">Bill.Amt</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $totamt = 0;
                            $totdisc = 0;
                            $totbill = 0;

                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'") or die(mysqli_error($conn));
                                $supp = mysqli_fetch_array($getsupp);

                                $ctr++;
                                echo "<tr id='boldfont'>";
                                echo "<td>$ctr</td>";
                                echo "<td>$pmain[vouchno]</td>";
                                echo "<td>$pmain[mydt]</td>";
                                echo "<td>$supp[name]</td>";
                                echo "<td class='text-right'>$pmain[subtotal]</td>";
                                echo "<td class='text-right'>$pmain[litemdisc]</td>";
                                echo "<td class='text-right'>$pmain[cdiscperc]</td>";
                                echo "<td class='text-right'>$pmain[cdiscamt]</td>";
                                echo "<td class='text-right'>$pmain[lessoth]</td>";
                                echo "<td class='text-right'>$pmain[packing]</td>";
                                echo "<td class='text-right'>$pmain[tottaxamt]</td>";
                                echo "<td class='text-right'>$pmain[cgstperc]</td>";
                                echo "<td class='text-right'>$pmain[totcgst]</td>";
                                echo "<td class='text-right'>$pmain[sgstperc]</td>";
                                echo "<td class='text-right'>$pmain[totsgst]</td>";
                                echo "<td class='text-right'>$pmain[igstperc]</td>";
                                echo "<td class='text-right'>$pmain[totigst]</td>";
                                echo "<td class='text-right'>$pmain[netamt]</td>";
                                echo "</tr>";

                                $totbill = $totbill + $pmain[netamt];
                                $totamt = $totamt + $pmain[subtotal];
                                $totdisc = $totdisc + $pmain[discount];

                                if ($_POST["dtype"] == 2) {

                                    echo "<tr style='height:10px;'>";
                                    echo "<td colspan='25'>";
                                    echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    echo "<th style='background-color: #cccccc;width:5%;'>Sr</th>";
                                    echo "<th style='background-color: #cccccc;width:10%; class='text-center''>Barcode</th>";
                                    echo "<th style='background-color: #cccccc';width:6%; class='' >Itemname</th>";
                                    echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Qty</th>";
                                    echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Unit</th>";
                                    echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Mrp</th>";
                                    echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Rate</th>";
                                    echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Amount</th>";
                                    echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Discperc</th>";
                                    echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Discount</th>";
                                    echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Total</th>";


                                    echo "</tr>";


                                    $ctr2 = 0;
                                    $tqty = 0;
                                    $tot = 0;

                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'") or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[item]'") or die(mysqli_error($conn));
                                        $item = mysqli_fetch_array($getitem);

                                        $ctr2++;
                                        echo "<tr>";
                                        echo "<td>$ctr2</td>";
                                        echo "<td class='text-center'>$tran[barcode]</td>";
                                        echo "<td>$item[name]</td>";
                                        //                                        browse($tran[barcode]);
                                        echo "<td class='numeric'>$tran[qty]</td>";
                                        echo "<td class='numeric'>$tran[unit]</td>";
                                        echo "<td class='numeric'>$tran[mrp]</td>";
                                        echo "<td class='numeric'>$tran[rate]</td>";
                                        echo "<td class='numeric'>$tran[amount]</td>";
                                        echo "<td class='numeric'>$tran[discperc]</td>";
                                        echo "<td class='numeric'>$tran[discount]</td>";
                                        echo "<td class='numeric'>$tran[total]</td>";
                                        echo "</tr>";

                                        $tqty = $tran[qty] + $tqty;
                                        $tot = $tran[total] + $tot;
                                    }
                                    echo "<tr style=' '>";
                                    echo "<td style=' '></td>";
                                    echo "<td style=' '></td>";
                                    echo "<th style='text-align:right;color:blue; '>Total</th>";
                                    echo "<th style='text-align:right;color:blue; '>$tqty</th>";
                                    echo "<td style=' '></td>";
                                    echo "<td style=' '></td>";
                                    echo "<td style=' '></td>";
                                    echo "<td style=' '></td>";
                                    echo "<td style=' '></td>";
                                    echo "<td style=' '></td>";
                                    echo "<th style='text-align:right;color:blue; '>$tot</td>";
                                    echo "</tr>";
                                    echo "</table>";
                                    echo "</td>";
                                }
                            }
                            $colr = "red";
                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td align='right' colspan='2' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totbill</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
<?php
}
if (isset($_POST["excel"])) {
    $party = $_POST["party"];
    $dtype = $_POST["dtype"];
    $scope = $_POST["scope"];
    $gstperc = $_POST["gstperc"];
    $item = $_POST["item"];

    $dtypecond = "";
    $mscopecond = "";
    $gstcond = "";
    $itemcond = "";

    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);

    if (!empty($party)) {
        $partycond = " AND a.`party`='$party' ";
    }

    if (!empty($item)) {
        $itemcond = " AND b.`item`='$item' ";
    }

    if (!empty($gstperc)) {
        $gstcond = " AND a.`gstperc`='$gstperc' ";
    }

    if (!empty($dtype)) {
        $dtypecond = " AND `dtype`='$dtype' ";
    }

    if (!empty($scope)) {
        $mscopecond = " AND `type`='$scope' ";
    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreggst.php");
    }

    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreggst.php");
    }



    $getpmain = mysqli_query($conn, "SELECT a.*, b.item, b.unit, b.mrp, b.vouchno,
                           DATE_FORMAT(a.`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` a, `$trandb` b  WHERE a.vouchno = b.vouchno and 
                           a.`vouchdt` >= '$mfrmdate' AND a.`vouchdt` <= '$mtodate'  $partycond $mscopecond $itemcond $gstcond group by a.vouchno") or die(mysqli_error($conn));
    $get = mysqli_num_rows($getpmain);

    $contents .= "Sr, Inv.No, Date, Supplier, Subtot, Item Disc, Cash Disc%, Cash Disc Amt, Less Disc, Add Pack, Taxable Value, CGST %, CGST Amt, SGST %, SGST Amt, IGST %, IGST Amt, Bill.Amt \n";

    $ctr = 0;
    $totamt = 0;
    $totdisc = 0;
    $totbill = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'") or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);

        $ctr++;
        $contents .= $ctr . ",";
        $contents .= $pmain[vouchno] . ",";
        $contents .= $pmain[mydt] . ",";
        $contents .= $supp[name] . ",";
        $contents .= $pmain[subtotal] . ",";
        $contents .= $pmain[litemdisc] . ",";
        $contents .= $pmain[cdiscperc] . ",";
        $contents .= $pmain[cdiscamt] . ",";
        $contents .= $pmain[lessoth] . ",";
        $contents .= $pmain[packing] . ",";
        $contents .= $pmain[tottaxamt] . ",";
        $contents .= $pmain[cgstperc] . ",";
        $contents .= $pmain[totcgst] . ",";
        $contents .= $pmain[sgstperc] . ",";
        $contents .= $pmain[totsgst] . ",";
        $contents .= $pmain[igstperc] . ",";
        $contents .= $pmain[totigst] . ",";
        $contents .= $pmain[netamt] . "\n";

        $totbill = $totbill + $pmain[netamt];
        $totamt = $totamt + $pmain[subtotal];
        $totdisc = $totdisc + $pmain[discount];

        if ($_POST["dtype"] == 2) {

            $contents .= "Sr, Barcode, Itemname, Qty, Unit, Mrp, Rate, Amount, Discperc, Discount, Total \n";

            $ctr2 = 0;
            $tqty = 0;
            $tot = 0;

            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'") or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[item]'") or die(mysqli_error($conn));
                $item = mysqli_fetch_array($getitem);

                $ctr2++;
                $contents .= $ctr2 . ",";
                $contents .= $tran[barcode] . ",";
                $contents .= $item[name] . ",";
                $contents .= $tran[qty] . ",";
                $contents .= $tran[unit] . ",";
                $contents .= $tran[mrp] . ",";
                $contents .= $tran[rate] . ",";
                $contents .= $tran[amount] . ",";
                $contents .= $tran[discperc] . ",";
                $contents .= $tran[discount] . ",";
                $contents .= $tran[total] . "\n";

                $tqty = $tran[qty] + $tqty;
                $tot = $tran[total] + $tot;
            }

            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= "Total" . ",";
            $contents .= $tqty . ",";
            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= "" . ",";
            $contents .= $tot . "\n";
        }
    }
    $colr = "red";

    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= "Grand Total" . ",";
    $contents .= "" . ",";
    $contents .= "" . ",";
    $contents .= $totbill . ",";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>